%define	name	kmplayer
%define	version	0.9.0
%define	pre	c
%define	release	3mdk

%define	Summary	MPlayer frontend for KDE

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Video
Url:		http://www.xs4all.nl/~jjvrieze/
Source:		http://www.xs4all.nl/~jjvrieze/%{name}-%{version}%{pre}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	arts-devel audiofile-devel alsa-lib-devel oggvorbis-devel
BuildRequires:	mad-devel nas-devel zlib-devel arts
BuildRequires:	kdelibs-devel libart_lgpl-devel	fam-devel qt3-devel
BuildRequires:	libgstreamer-devel
Requires:	mplayer

%description
KMPlayer can play all the audio/video supported by MPlayer from local
file or url, be embedded inside Konqueror and KHTML and play DVD's.

%prep
%setup -q -n %{name}-%{version}%{pre}

%build

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%configure2_5x	--disable-debug \
		--enable-mt \
		--enable-shared \
		--disable-static \
		--disable-objprelink \
		--with-pic \
		--with-gnu-ld \
		--disable-rpath \
		--disable-embedded \
		--enable-fast-install=yes \
		--with-xinerama \
		--enable-final 
#		--with-qt-dir=%{_prefix}/lib/qt3

%make

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std} transform=""

mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}/%{_menudir}/%{name} <<EOF
?package(%{name}): \
	command="%{name}" \
	title="KMplayer" \
	longtitle="%{Summary}" \
	needs="x11" \
	icon="%{name}.png" \
	section="Multimedia/Video"
EOF

#Menu icons
install -m644 icons/hi16-app-kmplayer.png -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 icons/hi32-app-kmplayer.png -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 icons/hi48-app-kmplayer.png -D %{buildroot}%{_liconsdir}/%{name}.png

#rm -f %{buildroot}%{_datadir}/mimelnk/video/x-ms-asf.desktop
rm -f %{buildroot}%{_datadir}/mimelnk/video/x-ms-wmv.desktop
rm -f %{buildroot}%{_datadir}/mimelnk/audio/x-ms-wma.desktop
rm -f %{buildroot}%{_datadir}/services/mms.protocol
rm -f %{buildroot}%{_datadir}/services/rtsp.protocol
rm -f %{buildroot}%{_datadir}/services/pnm.protocol

%{find_lang} %{name}

# rename doc paths (seems to be broken)
#mv $RPM_BUILD_ROOT/%_docdir/HTML/et/et $RPM_BUILD_ROOT/%_docdir/HTML/et/kmplayer
#mv $RPM_BUILD_ROOT/%_docdir/HTML/it/it $RPM_BUILD_ROOT/%_docdir/HTML/it/kmplayer
#mv $RPM_BUILD_ROOT/%_docdir/HTML/sv/sv $RPM_BUILD_ROOT/%_docdir/HTML/sv/kmplayer

%post
%{update_menus}
/sbin/ldconfig

%postun
%{clean_menus}
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%{_bindir}/*
%{_libdir}/kde3/kmplayer*
%{_libdir}/kde3/libkmplayerpart*
%{_libdir}/libkdeinit_kmplayer*
%{_libdir}/libkmplayercommon*
%{_datadir}/applications/kde/kmplayer.desktop
%{_datadir}/config/*
%{_datadir}/services/*
%{_datadir}/mimelnk/application/x-*
#%{_datadir}/mimelnk/audio/x-*
%{_datadir}/mimelnk/video/x-*
%{_datadir}/apps/%{name}
#%{_datadir}/icons/crystalsvg/*/apps/*
%{_datadir}/icons/hicolor/*/apps/*
#%{_datadir}/icons/locolor/32x32/apps/*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/%{name}

%dir %_docdir/HTML/da/kmplayer/
%doc %_docdir/HTML/da/kmplayer/common
%doc %_docdir/HTML/da/kmplayer/*.bz2
%doc %_docdir/HTML/da/kmplayer/*.docbook

%dir %_docdir/HTML/en/kmplayer/
%doc %_docdir/HTML/en/kmplayer/common
%doc %_docdir/HTML/en/kmplayer/*.bz2
%doc %_docdir/HTML/en/kmplayer/*.docbook

%dir %_docdir/HTML/es/kmplayer/
%doc %_docdir/HTML/es/kmplayer/common
%doc %_docdir/HTML/es/kmplayer/*.bz2
%doc %_docdir/HTML/es/kmplayer/*.docbook

%dir %_docdir/HTML/et/kmplayer/
%doc %_docdir/HTML/et/kmplayer/common
%doc %_docdir/HTML/et/kmplayer/*.bz2
%doc %_docdir/HTML/et/kmplayer/*.docbook

%dir %_docdir/HTML/fr/kmplayer/
%doc %_docdir/HTML/fr/kmplayer/common
%doc %_docdir/HTML/fr/kmplayer/*.bz2
%doc %_docdir/HTML/fr/kmplayer/*.docbook

%dir %_docdir/HTML/it/kmplayer/
%doc %_docdir/HTML/it/kmplayer/common
%doc %_docdir/HTML/it/kmplayer/*.bz2
%doc %_docdir/HTML/it/kmplayer/*.docbook

%dir %_docdir/HTML/nl/kmplayer/
%doc %_docdir/HTML/nl/kmplayer/common
%doc %_docdir/HTML/nl/kmplayer/*.bz2
%doc %_docdir/HTML/nl/kmplayer/*.docbook
   
%dir %_docdir/HTML/pt/kmplayer/
%doc %_docdir/HTML/pt/kmplayer/common
%doc %_docdir/HTML/pt/kmplayer/*.bz2
%doc %_docdir/HTML/pt/kmplayer/*.docbook

%dir %_docdir/HTML/ru/kmplayer/
%doc %_docdir/HTML/ru/kmplayer/common
%doc %_docdir/HTML/ru/kmplayer/*.bz2
%doc %_docdir/HTML/ru/kmplayer/*.docbook

%dir %_docdir/HTML/sv/kmplayer/
%doc %_docdir/HTML/sv/kmplayer/common
%doc %_docdir/HTML/sv/kmplayer/*.bz2
%doc %_docdir/HTML/sv/kmplayer/*.docbook


%changelog
* Tue Aug 23 2005 Laurent MONTEL <lmontel@mandriva.com> 0.9.0-3mdk
- Use 0.9.0c

* Sat Aug 06 2005 Laurent MONTEL <lmontel@mandriva.com> 0.9.0-2mdk
- 0.9.0b

* Sun Jul 24 2005 Laurent MONTEL <lmontel@mandriva.com> 0.9.0-1mdk
- 0.9.0

* Thu Apr 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.9.0-0.pre3.1mdk
- 0.9.0-pre3
- Fix build for amd64

* Tue Apr 19 2005 Nick Brown <nickbrown@mandriva.org> 0.9.0-0.pre2.1mdk
- 0.9.0-pre2
- remove pnm.protocol which conflicts with new kdelibs-common
- fix icon installation

* Fri Jan 07 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.4-0.rc5.1mdk
- rc5

* Mon Dec 13 2004 Laurent Culioli <laurent@mandrake.org> 0.8.4-0.rc4.1mdk
- 0.8.4-rc-4

* Thu Nov 11 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.8.4-0.rc2.1mdk
- 0.8.4-rc2
- lib64 fixes
- remove x-ms-wma.desktop which conflicts with new kdelibs-common
- cleanups

* Mon Oct 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.3-1mdk
- 0.8.3

* Tue Aug  3 2004 Götz Waschk <waschk@linux-mandrake.com> 0.8.3-0.rc4.2mdk
- remove files that conflict with kdelibs

* Mon Aug  2 2004 Götz Waschk <waschk@linux-mandrake.com> 0.8.3-0.rc4.1mdk
- fix icon installation
- add source URL
- new version

* Mon Jun  7 2004 Götz Waschk <waschk@linux-mandrake.com> 0.8.3-0.rc1.2mdk
- rebuild for new g++

* Wed May 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.3-0.rc1.1mdk
- 0.8.3-rc1

* Thu Feb 05 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.8.2-1mdk
- 0.8.2

* Wed Nov 26 2003 Luca Berra <bluca@vodka.it> 0.8.1-2mdk
- removed x-ms-wmv.desktop (conflict with kdelibs-common)
- buildrequires arts (mcopidl)

* Thu Nov 13 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.8.1-1mdk
- from Cameron Hart <cam@bitshifter.net.nz> :
	- updated to latest release

* Fri Aug 08 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.7.4c-2mdk
- rebuild

* Fri Jun 20 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.7.4c-1mdk
- 0.7.4c
- use --enable-final, --build, --with-xinerama
- fix path to qt3 (lib64 issues..)
- macroize
- comment out non-applied patch
* Wed Apr 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.7.4a-2mdk
- buildrequires

* Wed Apr 23 2003 Buchan Milne <bgmilne@linux-mandrake.com> 0.7.4a-1mdk
- 0.7.4a
- fix menu, use real icon
- Buildrequires (I hope I got them all)

* Thu Feb 27 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.7a-3mdk
- Require mplayer(doh!)
- rm -rf buildroot during install
- more consistent spec
- quiet setup

* Wed Feb 12 2003 Laurent Culioli <laurent@pschit.net> 0.7a-2mdk
- fix conflict with mandrake-mime

* Wed Feb 12 2003 Laurent Culioli <laurent@pschit.net> 0.7a-1mdk
- 0.7a

* Mon Jan 13 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6-0.2mdk
- from Elliott Martin <elliott@pdx.edu> :
	- add patch to make mplayer run using -ao arts

* Mon Jan 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6-0.1mdk
- fix file section
- add menu
- from Elliott Martin <elliott@pdx.edu> :
	- new rpm, version 0.6
